/*
 * This build file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Java Library project to get you started.
 * For more details take a look at the Java Libraries chapter in the Gradle
 * user guide available at https://docs.gradle.org/4.3/userguide/java_library_plugin.html
 */

// Apply the java-library plugin to add support for Java Library
apply plugin: 'java-library'

// In this section you declare where to find the dependencies of your project
repositories {
    // Use jcenter for resolving your dependencies.
    // You can declare any Maven/Ivy/file repository here.
    jcenter()
}

dependencies {
  	// https://mvnrepository.com/artifact/com.aventstack/extentreports
	compile group: 'com.aventstack', name: 'extentreports', version: '3.1.5'
	
	// https://mvnrepository.com/artifact/org.seleniumhq.selenium/selenium-java
	compile group: 'org.seleniumhq.selenium', name: 'selenium-java', version: '3.14.0'

	// https://mvnrepository.com/artifact/org.testng/testng
	testCompile group: 'org.testng', name: 'testng', version: '6.14.2'
	
	// https://mvnrepository.com/artifact/junit/junit
	testCompile group: 'junit', name: 'junit', version: '4.12'
	
	// https://mvnrepository.com/artifact/org.apache.poi/poi
	compile group: 'org.apache.poi', name: 'poi', version: '3.17'
	
	// https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml
	compile group: 'org.apache.poi', name: 'poi-ooxml', version: '3.17'
	
	// https://mvnrepository.com/artifact/commons-io/commons-io
	compile group: 'commons-io', name: 'commons-io', version: '2.6'
	
	// https://mvnrepository.com/artifact/org.apache.commons/commons-io
	compile group: 'org.apache.commons', name: 'commons-io', version: '1.3.2'
	
	// https://mvnrepository.com/artifact/io.cucumber/cucumber-junit
	testCompile group: 'io.cucumber', name: 'cucumber-junit', version: '3.0.2'
	
	// https://mvnrepository.com/artifact/io.cucumber/cucumber-java
	compile group: 'io.cucumber', name: 'cucumber-java', version: '3.0.2'
}

